import { ElectronAPI } from '@electron-toolkit/preload'
import { WorkBook } from 'xlsx'

interface ElectronAPIWithOthers extends ElectronAPI {
  readXLSX(): Promise<WorkBook | null>
}

declare global {
  interface Window {
    electron: ElectronAPIWithOthers;
    api: unknown
  }
}
